<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

require("../include/irm.inc");
require_once 'lib/Config.php';

AuthCheck("tech");
if (@$flags_server == "yes") {
	$flags_server = 1;
} else {
	$flags_server = 0;
}

if (@$flags_surplus == "yes") {
	$flags_surplus = 1;
} else {
        $flags_surplus = 0;
}

$vals = array(
	'templname' => $templname,
	'name' => $name,
	'type' => $type,
	'flags_server' => $flags_server,
	'os' => $os,
	'osver' => $osver,
	'processor' => $processor,
	'processor_speed' => $processor_speed,
	'location' => $location,
	'serial' => $serial,
	'otherserial' => $otherserial,
	'ramtype' => $ramtype,
	'ram' => $ram,
	'network' => $network,
	'ip' => $ip,
	'mac' => $mac,
	'hdspace' => $hdspace,
	'contact' => $contact,
	'contact_num' => $contact_num,
	'comments' => $comments,
	'iface' => $iface,
	'flags_surplus' => $flags_surplus
	);

$DB = Config::Database();
$ID = $DB->getTextValue($ID);
$DB->UpdateQuery('templates', $vals, "ID=$ID");

header("Location: ".$_SESSION['_sess_prevpage']);
